#ifndef	_USB_MASS_H_
#define	_USB_MASS_H_

#define	USB_CLASS_UNSPEC	0
#define	USB_CLASS_MASS		8
#define	USB_CLASS_VENDOR	255

enum
{
	USB_SUBCLASS_MASS_RBC = 1,
	USB_SUBCLASS_MASS_SFF8020,	/* ATAPI CD-ROM */
	USB_SUBCLASS_MASS_QIC157,	/* tape */
	USB_SUBCLASS_MASS_UFI,		/* floppy */
	USB_SUBCLASS_MASS_SFF8070,	/* ATAPI removable disk */
	USB_SUBCLASS_MASS_SCSI,
};

enum
{
	USB_PROTOCOL_MASS_CBI = 0,
	USB_PROTOCOL_MASS_CB = 1,
	USB_PROTOCOL_MASS_BULKONLY = 'P',
};

enum
{
	USB_MASS_STATUS_PASSED = 0,
	USB_MASS_STATUS_FAILED = 1,
	USB_MASS_STATUS_PHASE_ERR = 2
};

enum
{
	UFI_MEDIUM_DEFAULT = 0x00,
	UFI_MEDIUM_720KB = 0x1e,
	UFI_MEDIUM_1232KB = 0x93,
	UFI_MEDIUM_1440KB = 0x94,
};

#endif
